package main

type help struct {
	title    string
	commands []string
}

var _Helps = []help{

	help{"6. The Command Interpreter", nil},
	help{"  1. Command syntax", []string{"syntax*"}},
	help{"  2. Finding your way around", []string{"help", "history", "shell", "quit"}},
	help{"  3. Regular Expressions", []string{"regexp*"}},
	help{"  4. Selection syntax", []string{"selection*", "functions*"}},
	help{"  5. Redirection and shell-like features", []string{"redirection*"}},

	help{"7. Import and Export", nil},
	help{"  1. Reading and writing repositories", []string{"read", "write"}},
	help{"  2. Repository type preference", []string{"prefer", "sourcetype"}},
	help{"  3. Rebuilds in place", []string{"rebuild"}},
	help{"  5. File preservation", []string{"preserve", "unpreserve"}},
	help{"  6. Incorporating release tarballs", []string{"incorporate"}},
	help{"  7. The repository list", []string{"choose", "drop", "rename"}},

	help{"8. Information and reports", nil},
	help{"  1. Reports on the DAG", []string{"list", "index", "names", "stamp", "tags", "inspect", "graph", "lint", "when"}},
	help{"  2. Statistics", []string{"stats", "count", "sizes"}},
	help{"  3. Examining tree states", []string{"manifest", "checkout", "diff"}},

	help{"9. Surgical Operations", nil},
	help{"  1. Commit deletion", []string{"squash", "delete"}},
	help{"  2. Commit mutation", []string{"merge", "unmerge", "reparent", "split", "add", "remove", "tagify", "reorder"}},
	help{"  3. Branches", []string{"branch", "branchlift", "debranch"}},
	help{"  4. Tags, resets, and blobs", []string{"tag", "reset", "blob", "dedup"}},
	help{"  5. Repository splitting and merging", []string{"divide", "expunge", "unite", "graft"}},
	help{"  6. Metadata editing", []string{"msgout", "msgin", "setfield", "attribution", "append", "gitify", "filter"}},
	help{"  7. Path reports and modifications", []string{"path", "setperm"}},
	help{"  8. Timequakes and time offsets", []string{"timequake", "timeoffset"}},
	help{"  9. Miscellanea", []string{"renumber", "transcode"}},

	help{"10. Artifact handling", nil},
	help{"  1. Attributions", []string{"authors"}},
	help{"  2. Ignore patterns", []string{"ignores"}},
	help{"  3. Reference lifting", []string{"references", "legacy"}},
	help{"  4. Changelogs", []string{"changelogs"}},
	help{"  5. Clique coalescence", []string{"coalesce"}},

	help{"11. Control Options", []string{"options*", "set", "clear"}},

	help{"12. Scripting and debugging support", nil},
	help{"  1. Variables, macros, and scripts", []string{"assign", "unassign", "define", "do", "undefine", "script", "print"}},
	help{"  2. Housekeeping", []string{"gc"}},
	help{"  3. Diagnostics", []string{"log", "logfile"}},
	help{"  4. Debugging", []string{"resolve", "version", "hash", "sizeof", "strip"}},
	help{"  5. Profiling", []string{"elapsed", "timing", "readlimit", "memory", "profile", "exit"}},
  help{"Starred topics are not commands.", nil},
}
